<?php

session_start(); //Iniciar a sessao

//Limpar o buffer 
ob_start();

//Incluir a conexao com o banco de dados
include_once '../banco/conexaobd.php';

//Receber os dados do formulario
$dados = filter_input_array(INPUT_POST, FILTER_DEFAULT);


//var_dump($dados);


//verificar se o usuario clicou no botao
if(!empty($dados['CadUsuario'])){
    foreach($dados['nome'] as $chave => $nome){
        //echo "Chave: $chave <br>";
        //echo "Nome: $nome <br>";
        //echo "E-mail: " . $dados['email'][$chave] . "<br>";
        //echo "<hr>";

        $query_usuario = "INSERT INTO clientes (nome, sobrenome) VALUE (:nome, :sobrenome)";
        $cad_usuario = $conn->prepare($query_usuario);
        $cad_usuario->bindParam(':nome', $nome);
        $cad_usuario->bindParam(':sobrenome', $dados['sobrenome'][$chave]);
        $cad_usuario->execute();

    }

    //Variavel global com a mensagem de sucesso
    $_SESSION['msg'] = "<p style='color: green;'>Usuário cadastrado com sucesso!</p>";

    //Redirecionar o usuario para a pagina inicial
    header("Location: ../efetiva/listadeclientes.php");
}else{
    //Variavel global com a mensagem de sucesso
    $_SESSION['msg'] = "<p style='color: #f00;'>Erro: Usuário não cadastrado com sucesso!</p>";

    //Redirecionar o usuario para a pagina inicial
        header("Location: ../efetiva/listadeclientes.php");
}




